<template>
  <div class="gradients">
    <div 
      id="gradient-line-1" 
      class="absolute a-x"/>
    <div 
      id="gradient-line-2" 
      class="absolute a-x"/>
    <div 
      id="gradient-line-3" 
      class="absolute a-x"/>
    <div 
      id="gradient-line-4" 
      class="absolute a-y"/>
    <div 
      id="gradient-line-5" 
      class="absolute a-y"/>
    <div 
      id="gradient-line-6" 
      class="absolute a-y"/>
  </div>
</template>

<script>
export default {}
</script>

<style>
.absolute {
  position: absolute;
  z-index: -9999;
}
.a-x {
  width: 110% !important;
  background-image: linear-gradient(
    to left,
    #ff6f91,
    #f86899,
    #ee63a1,
    #e35fa9,
    #d65db1
  );
}
.a-y {
  top: 0;
  bottom: 0;
  background-image: linear-gradient(
    to top,
    #ff6f91,
    #f86899,
    #ee63a1,
    #e35fa9,
    #d65db1
  );
}
#gradient-line-1 {
  width: 100%;
  height: 10px;
  background-image: linear-gradient(
    to right,
    #ff6f91,
    #f86899,
    #ee63a1,
    #e35fa9,
    #d65db1
  );
  margin-top: 50%;
}
#gradient-line-2 {
  width: 100%;
  height: 60px;
  margin-bottom: 5px;
}
#gradient-line-3 {
  width: 100%;
  height: 20px;
  margin-top: 120px;
}
#gradient-line-4 {
  width: 20px;
  margin-left: 5%;
}
#gradient-line-5 {
  width: 40px;
  margin-left: 10%;
}
#gradient-line-6 {
  width: 60px;
  margin-left: 15%;
}
</style>
